Model Filter Values

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • filter

  • filter_count

  • filterExists

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • filter_id

  • model_type

  • model_id

  • filter.model_type

  • filter.model_id

  • does_not_belong_to_deleted_step

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • filter_id

Authorizations
Query parameters
filter[filter_id]stringOptional

Filter results by filter_id.

filter[model_type]stringOptional

Filter results by model_type.

filter[model_id]stringOptional

Filter results by model_id.

filter[filter.model_type]stringOptional

Filter results by filter.model_type.

filter[filter.model_id]stringOptional

Filter results by filter.model_id.

filter[does_not_belong_to_deleted_step]stringOptional

Filter results by does_not_belong_to_deleted_step.

filter[model]stringOptional

Filter results by model.

includestringOptional

Comma-separated list of relationships to include. Available: filter

sortstringOptional

Sort field. Prefix with - for descending. Available: filter_id

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/model-filter-values

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

model_type

string

model_id

integer

filter_id

integer

value

string

Authorizations
Body
model_typestringRequired
model_idintegerRequired
filter_idintegerRequired
valuestring · max: 1024Required
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/model-filter-values

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

filter_id

integer

value

string

Authorizations
Path parameters
model_filter_valuestringRequired

The model filter value identifier.

Body
filter_idintegerOptional
valuestring · max: 1024Optional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/model-filter-values/{model_filter_value}

Destroy

delete

Delete a model filter value.

Authorizations
Path parameters
model_filter_valuestringRequired

The model filter value identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/model-filter-values/{model_filter_value}

Last updated

Was this helpful?